import 'package:data_faker/models/currency.dart';

const List<Currency> currencies = [
  Currency('United States dollar', '\$', 'USD', 'Cent'),
  Currency('Euro', '€', 'EUR', 'Cent'),
  Currency('Abkhazian apsar'),
  Currency('Russian ruble', '₽', 'RUB', 'Kopek'),
  Currency('Afghan afghani', '؋', 'AFN', 'Pul'),
  Currency('Albanian lek', 'L', 'ALL', 'Qindarkë'),
  Currency('Alderney pound', '£', '', 'Penny'),
  Currency('British pound', '£', 'GBP', 'Penny'),
  Currency('Guernsey pound', '£', 'GGP', 'Penny'),
  Currency('Algerian dinar', 'د.ج', 'DZD', 'Santeem'),
  Currency('Angolan kwanza', 'Kz', 'AOA', 'Cêntimo'),
  Currency('Eastern Caribbean dollar', '\$', 'XCD', 'Cent'),
  Currency('Argentine peso', '\$', 'ARS', 'Centavo'),
  Currency('Armenian dram', '֏', 'AMD', 'Luma'),
  Currency('Artsakh dram', 'դր.', '', 'Luma'),
  Currency('Aruban florin', 'ƒ', 'AWG', 'Cent'),
  Currency('Saint Helena pound', '£', 'SHP', 'Penny'),
  Currency('Australian dollar', '\$', 'AUD', 'Cent'),
  Currency('Azerbaijani manat', '₼', 'AZN', 'Qəpik'),
  Currency('Bahamian dollar', '\$', 'BSD', 'Cent'),
  Currency('Bahraini dinar', '.د.ب', 'BHD', 'Fils'),
  Currency('Bangladeshi taka', '৳', 'BDT', 'Poisha'),
  Currency('Barbadian dollar', '\$', 'BBD', 'Cent'),
  Currency('Belarusian ruble', 'Br', 'BYN', 'Kapyeyka'),
  Currency('Belize dollar', '\$', 'BZD', 'Cent'),
  Currency('West African CFA franc', 'Fr', 'XOF', 'Centime'),
  Currency('Bermudian dollar', '\$', 'BMD', 'Cent'),
  Currency('Bhutanese ngultrum', 'Nu.', 'BTN', 'Chetrum'),
  Currency('Indian rupee', '₹', 'INR', 'Paisa'),
  Currency('Bolivian boliviano', 'Bs.', 'BOB', 'Centavo'),
  Currency('Bosnia and Herzegovina convertible mark', 'KM', 'BAM', 'Fening'),
  Currency('Botswana pula', 'P', 'BWP', 'Thebe'),
  Currency('Brazilian real', 'R\$', 'BRL', 'Centavo'),
  Currency('Brunei dollar', '\$', 'BND', 'Sen'),
  Currency('Singapore dollar', '\$', 'SGD', 'Cent'),
  Currency('Bulgarian lev', 'лв.', 'BGN', 'Stotinka'),
  Currency('Burundian franc', 'Fr', 'BIF', 'Centime'),
  Currency('Cambodian riel', '៛', 'KHR', 'Sen'),
  Currency('Central African CFA franc', 'Fr', 'XAF', 'Centime'),
  Currency('Canadian dollar', '\$', 'CAD', 'Cent'),
  Currency('Cape Verdean escudo', 'ESC', 'CVE', 'Centavo'),
  Currency('Cayman Islands dollar', '\$', 'KYD', 'Cent'),
  Currency('Chilean peso', '\$', 'CLP', 'Centavo'),
  Currency('Chinese yuan', '¥', 'CNY', 'Jiao'),
  Currency('Colombian peso', '\$', 'COP', 'Centavo'),
  Currency('Comorian franc', 'Fr', 'KMF', 'Centime'),
  Currency('Congolese franc', 'Fr', 'CDF', 'Centime'),
  Currency('Cook Islands dollar', '\$', 'CKD', 'Cent'),
  Currency('New Zealand dollar', '\$', 'NZD', 'Cent'),
  Currency('Costa Rican colón', '₡', 'CRC', 'Céntimo'),
  Currency('Croatian kuna', 'Kn', 'HRK', 'Lipa'),
  Currency('Cuban peso', '\$', 'CUP', 'Centavo'),
  Currency('Netherlands Antillean guilder', 'ƒ', 'ANG', 'Cent'),
  Currency('Czech koruna', 'Kč', 'CZK', 'Haléř'),
  Currency('Danish krone', 'Kr', 'DKK', 'Øre'),
  Currency('Djiboutian franc', 'Fr', 'DJF', 'Centime'),
  Currency('Dominican peso', 'RD\$', 'DOP', 'Centavo'),
  Currency('Egyptian pound', 'ج.م', 'EGP', 'Piastre'),
  Currency('Eritrean nakfa', 'Nfk', 'ERN', 'Cent'),
  Currency('Swazi lilangeni', 'L', 'SZL', 'Cent'),
  Currency('South African rand', 'R', 'ZAR', 'Cent'),
  Currency('Ethiopian birr', 'Br', 'ETB', 'Santim'),
  Currency('Falkland Islands pound', '£', 'FKP', 'Penny'),
  Currency('Danish krone', 'kr', 'DKK', 'Øre'),
  Currency('Faroese króna', 'kr', 'FOK', 'Oyra'),
  Currency('Fijian dollar', '\$', 'FJD', 'Cent'),
  Currency('CFP franc', '₣', 'XPF', 'Centime'),
  Currency('Gambian dalasi', 'D', 'GMD', 'Butut'),
  Currency('Georgian lari', '₾', 'GEL', 'Tetri'),
  Currency('Ghanaian cedi', '₵', 'GHS', 'Pesewa'),
  Currency('Gibraltar pound', '£', 'GIP', 'Penny'),
  Currency('Guatemalan quetzal', 'Q', 'GTQ', 'Centavo'),
  Currency('Guernsey pound', '£', 'GGP', 'Penny'),
  Currency('Guyanese dollar', '\$', 'GYD', 'Cent'),
  Currency('Haitian gourde', 'G', 'HTG', 'Centime'),
  Currency('Honduran lempira', 'L', 'HNL', 'Centavo'),
  Currency('Hong Kong dollar', '\$', 'HKD', 'Cent'),
  Currency('Hungarian forint', 'Ft', 'HUF', 'Fillér'),
  Currency('Icelandic króna', 'kr', 'ISK', 'Eyrir'),
  Currency('Indonesian rupiah', 'Rp', 'IDR', 'Sen'),
  Currency('Iranian rial', '﷼', 'IRR', 'Rial'),
  Currency('Iraqi dinar', 'ع.د', 'IQD', 'Fils'),
  Currency('Manx pound', '£', 'IMP', 'Penny'),
  Currency('Israeli new shekel', '₪', 'ILS', 'Agora'),
  Currency('Jamaican dollar', '\$', 'JMD', 'Cent'),
  Currency('Japanese yen', '¥', 'JPY', 'Sen'),
  Currency('Jersey pound', '£', 'JEP', 'Penny'),
  Currency('Jordanian dinar', 'د.ا', 'JOD', 'Piastre'),
  Currency('Kazakhstani tenge', '₸', 'KZT', 'Tıyn'),
  Currency('Kenyan shilling', 'Sh', 'KES', 'Cent'),
  Currency('Kiribati dollar', '\$', 'KID', 'Cent'),
  Currency('North Korean won', '₩', 'KPW', 'Chon'),
  Currency('South Korean won', '₩', 'KRW', 'Jeon'),
  Currency('Kuwaiti dinar', 'د.ك', 'KWD', 'Fils'),
  Currency('Kyrgyzstani som', 'с', 'KGS', 'Tyiyn'),
  Currency('Lao kip', '₭', 'LAK', 'Att'),
  Currency('Lebanese pound', 'ل.ل', 'LBP', 'Piastre'),
  Currency('Lesotho loti', 'L', 'LSL', 'Sente'),
  Currency('Liberian dollar', '\$', 'LRD', 'Cent'),
  Currency('Libyan dinar', 'ل.د', 'LYD', 'Dirham'),
  Currency('Swiss franc', 'Fr.', 'CHF', 'Rappen'),
  Currency('Macanese pataca' 'MOP\$' 'MOP' 'Avo'),
  Currency('Malagasy ariary', 'Ar', 'MGA', 'Iraimbilanja'),
  Currency('Malawian kwacha', 'MK', 'MWK', 'Tambala'),
  Currency('Malaysian ringgit', 'RM', 'MYR', 'Sen'),
  Currency('Maldivian rufiyaa', '.ރ', 'MVR', 'Laari'),
  Currency('Mauritanian ouguiya', 'UM', 'MRU', 'Khoums'),
  Currency('Mauritian rupee', '₨', 'MUR', 'Cent'),
  Currency('Mexican peso', '\$', 'MXN', 'Centavo'),
  Currency('Moldovan leu', 'L', 'MDL', 'Ban'),
  Currency('Mongolian tögrög', '₮', 'MNT', 'Möngö'),
  Currency('Moroccan dirham', 'د.م.', 'MAD', 'Centime'),
  Currency('Mozambican metical', 'MT', 'MZN', 'Centavo'),
  Currency('Burmese kyat', 'Ks', 'MMK', 'Pya'),
  Currency('Namibian dollar', '\$', 'NAD', 'Cent'),
  Currency('Nepalese rupee', 'रू', 'NPR', 'Paisa'),
  Currency('CFP franc', '₣', 'XPF', 'Centime'),
  Currency('New Zealand dollar', '\$', 'NZD', 'Cent'),
  Currency('Nicaraguan córdoba', 'C\$', 'NIO', 'Centavo'),
  Currency('Nigerian naira', '₦', 'NGN', 'Kobo'),
  Currency('Niue dollar', '\$', '', 'Cent'),
  Currency('Macedonian denar', 'ден', 'MKD', 'Deni'),
  Currency('Turkish lira', '₺', 'TRY', 'Kuruş'),
  Currency('Norwegian krone', 'kr', 'NOK', 'Øre'),
  Currency('Omani rial', 'ر.ع.', 'OMR', 'Baisa'),
  Currency('Pakistani rupee', '₨', 'PKR', 'Paisa'),
  Currency('Panamanian balboa', 'B/.', 'PAB', 'Centésimo'),
  Currency('Papua New Guinean kina', 'K', 'PGK', 'Toea'),
  Currency('Paraguayan guaraní', '₲', 'PYG', 'Céntimo'),
  Currency('Peruvian sol', 'S/.', 'PEN', 'Céntimo'),
  Currency('Philippine peso', '₱', 'PHP', 'Sentimo'),
  Currency('Pitcairn Islands dollar', '\$', 'PND', 'Cent'),
  Currency('Polish złoty', 'zł', 'PLN', 'Grosz'),
  Currency('Qatari riyal', 'ر.ق', 'QAR', 'Dirham'),
  Currency('Romanian leu', 'lei', 'RON', 'Ban'),
  Currency('Rwandan franc', 'Fr', 'RWF', 'Centime'),
  Currency('Sahrawi peseta', '₧', '', 'Centime'),
  Currency('Samoan tālā', 'T', 'WST', 'Sene'),
  Currency('São Tomé and Príncipe dobra', 'Db', 'STN', 'Cêntimo'),
  Currency('Saudi riyal', '﷼', 'SAR', 'Halala'),
  Currency('Serbian dinar', 'дин', 'RSD', 'Para'),
  Currency('Somali shilling', 'Sh', 'SOS', 'Cent'),
  Currency('South Sudanese pound', '£', 'SSP', 'Piaster'),
  Currency('Sudanese pound', 'ج.س.', 'SDG', 'Piastre'),
  Currency('Syrian lira', 'ل.س', 'SYP', 'qirsh'),
  Currency('New Taiwan dollar', '\$', 'TWD', 'Cent'),
  Currency('Tajikistani somoni', 'ЅМ', 'TJS', 'Diram'),
  Currency('Tanzanian shilling', 'Sh', 'TZS', 'Cent'),
  Currency('Thai baht', '฿', 'THB', 'Satang'),
  Currency('Tongan paʻanga', 'T\$', 'TOP', 'Seniti'),
  Currency('Transnistrian ruble', 'р.', 'PRB', 'Kopek'),
  Currency('Trinidad and Tobago dollar', '\$', 'TTD', 'Cent'),
  Currency('Tunisian dinar', 'د.ت', 'TND', 'Millime'),
  Currency('Turkmenistan manat', 'm', 'TMT', 'Tennesi'),
  Currency('Tuvaluan dollar', '\$', 'TVD', 'Cent'),
  Currency('Ugandan shilling', 'Sh', 'UGX'),
  Currency('Ukrainian hryvnia', '₴', 'UAH', 'Kopiyka'),
  Currency('United Arab Emirates dirham', 'د.إ', 'AED', 'Fils'),
  Currency('Uruguayan peso', '\$', 'UYU', 'Centésimo'),
  Currency('Vanuatu vatu', 'Vt', 'VUV'),
  Currency('Venezuelan bolívar soberano', 'Bs.S.', 'VES', 'Céntimo'),
  Currency('Vietnamese đồng', '₫', 'VND', 'Hào'),
  Currency('Yemeni rial', '﷼', 'YER', 'Fils'),
  Currency('Zambian kwacha', 'ZK', 'ZMW', 'Ngwee'),
  Currency('RTGS dollar', '', 'ZWB'),
];
